Subject: [AVT] comment RFC2833biscas-01

From: "Aleksandar Lebl" <[email-masked]>
Date: Mon, 19 Jun 2006 12:12:43 +0200

We suggest some changes in subsection 2.3.2. of draft-ietf-avt-rfc2833biscas-01.

Changes only contribute to better understanding of 

terms as forward and backward frequencies, 

acknowledgement signals.

Added text is in the square brackets,[].

2.3.2.  Signalling System R2 Register Signals

   In R2 signalling, the signalling sequence is initiated from the

   outgoing exchange by sending a line "seizing" signal.  After line

   "seizing" signal (and "seizing acknowledgment" signal in R2D), the

   signalling sequence continues using MF register signals.  ITU-T

   Recommendation Q.441 classifies the forward MF register signals into

   Groups I and II [(upper frequencies)], the backward MF register signals 

   [(lower frequencies)] into Groups A and B. These groups are significant 

   with respect both to what sort of information they convey and where 

   they can occur in the signalling sequence.

   [Register] R2 [signalling] is a compelled tone signalling protocol, 

   meaning that one tone is played until an "acknowledgment or 

   directive for the next tone" is received which indicates that the 

   original tone should cease. [Acknowledgement of forward R2 

   register signal is backward signal. Acknowledgement of backward 

   signal is the end of forward signal. Tones consist of two out of 

   six frequencies.]

   In R2 register signalling, the signalling sequence is initiated 

   from the outgoing exchange by sending a forward Group I signal.  

   The first forward signal is typically the first digit of the called 

   number.  The incoming exchange typically replies with a 

   backward Group A-1 indicating to the outgoing exchange 

   to send the next digit of the called number.

   The tones have meanFrom [email-masked] Mon Jun 19 09:19:20 2006
From: "Aleksandar Lebl" <[email-masked]>
To: <[email-masked]>
Date: Mon, 19 Jun 2006 12:12:43 +0200
Organization: Iritel
Subject: [AVT] comment RFC2833biscas-01

This is a multi-part message in MIME format.
We suggest some changes in subsection 2.3.2. of draft-ietf-avt-rfc2833biscas-01.

Changes only contribute to better understanding of 

terms as forward and backward frequencies, 

acknowledgement signals.

Added text is in the square brackets,[].

2.3.2.  Signalling System R2 Register Signals

   In R2 signalling, the signalling sequence is initiated from the

   outgoing exchange by sending a line "seizing" signal.  After line

   "seizing" signal (and "seizing acknowledgment" signal in R2D), the

   signalling sequence continues using MF register signals.  ITU-T

   Recommendation Q.441 classifies the forward MF register signals into

   Groups I and II [(upper frequencies)], the backward MF register signals 

   [(lower frequencies)] into Groups A and B. These groups are significant 

   with respect both to what sort of information they convey and where 

   they can occur in the signalling sequence.

   [Register] R2 [signalling] is a compelled tone signalling protocol, 

   meaning that one tone is played until an "acknowledgment or 

   directive for the next tone" is received which indicates that the 

   original tone should cease. [Acknowledgement of forward R2 

   register signal is backward signal. Acknowledgement of backward 

   signal is the end of forward signal. Tones consist of two out of 

   six frequencies.]

   In R2 register signalling, the signalling sequence is initiated 

   from the outgoing exchange by sending a forward Group I signal.  

   The first forward signal is typically the first digit of the called 

   number.  The incoming exchange typically replies with a 

   backward Group A-1 indicating to the outgoing exchange 

   to send the next digit of the called number.

   The tones have meaning; however, the meaning varies depending on

   where the tone occurs in the signalling.  The meaning may also depend

   on the country.  Thus, to avoid an unmanageable number of events,

   this document simply provides means to indicate the 15 forward and 15

   backward MF R2 tones (i.e., using event codes 176-190 and 191-205

   respectively as shown in Table 1).  The frequency pairs for these

   tones are shown in Table 4 and Table 5. 

   [Exceptions. 

   National set of R2 register signals may be reduced to 10 signals 

   (2 out of 5 frequencies) or 6 signals (2 out of 4 frequencies).

   ITU-T Rec. Q.442 defines rare cases of pulse (non compelled) 

   operation and initiative of incoming exchange.]

                                       [Forward frequencies] (Hz)

    +-------------------------+-------+-------+-------+--------+--------+

    |[Forward Frequencies](Hz)| 1500  | 1620  | 1740  | 1860   | 1980   |

    +-------------------------+-------+-------+-------+--------+--------+

    | 1380                    | Fwd 1 | Fwd 2 | Fwd 4 | Fwd 7  | Fwd 11 |

    |                         |       |       |       |        |        |

    | 1500                    |       | Fwd 3 | Fwd 5 | Fwd 8  | Fwd 12 |

    |                         |       |       |       |        |        |

    | 1620                    |       |       | Fwd 6 | Fwd 9  | Fwd 13 |

    |                         |       |       |       |        |        |

    | 1740                    |       |       |       | Fwd 10 | Fwd 14 |

    |                         |       |       |       |        |        |

    | 1860                    |       |       |       |        | Fwd 15 |

    +-------------------------+-------+-------+-------+--------+--------+

                   Table 4: R2 Forward Register Signals

                                 [Backward Frequencies] (Hz)

   +-----------------+---------+---------+---------+---------+---------+

   |    [Backward]   | 1140    | 1020    | 900     | 780     | 660     |

   |[frequencies](Hz)|         |         |         |         |         |

   +-----------------+---------+---------+---------+---------+---------+

   | 1020            | Bkwd 1  |         |         |         |         |

   |                 |         |         |         |         |         |

   | 900             | Bkwd 2  | [Bkwd]3 |         |         |         |

   |                 |         |         |         |         |         |

   | 780             | Bkwd 4  | Bkwd 5  | Bkwd 6  |         |         |

   |                 |         |         |         |         |         |

   | 660             | Bkwd 7  | Bkwd 8  | Bkwd 9  | Bkwd 10 |         |

   |                 |         |         |         |         |         |

   | 540             | Bkwd 11 | Bkwd 12 | Bkwd 13 | Bkwd 14 | Bkwd 15 |

   +-----------------+---------+---------+---------+---------+---------+

                   Table 5: R2 Backward Register Signals

                                                                                            Aleksandar Lebl and

                                                                                            Zarko Markov

   +-----------------+---------+---------+---------+---------+---------+

                   Table 5: R2 Backward Register Signals
_______________________________________________
Audio/Video Transport Working Group
[email-masked]
https://www1.ietf.org/mailman/listinfo/avt